Create Scan
curl --request POST \
--url https://api.veridical.dev/api/v1/scans \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"repository_id": "<string>",
"workspace_id": "<string>",
"client_request_id": "<string>",
"config": {},
"scan_type": "security",
"source_ref": "<string>",
"trigger_type": "manual"
}
'import requests
url = "https://api.veridical.dev/api/v1/scans"
payload = {
"repository_id": "<string>",
"workspace_id": "<string>",
"client_request_id": "<string>",
"config": {},
"scan_type": "security",
"source_ref": "<string>",
"trigger_type": "manual"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
repository_id: '<string>',
workspace_id: '<string>',
client_request_id: '<string>',
config: {},
scan_type: 'security',
source_ref: '<string>',
trigger_type: 'manual'
})
};
fetch('https://api.veridical.dev/api/v1/scans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}control
Create Scan
POST
/
api
/
v1
/
scans
Create Scan
curl --request POST \
--url https://api.veridical.dev/api/v1/scans \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"repository_id": "<string>",
"workspace_id": "<string>",
"client_request_id": "<string>",
"config": {},
"scan_type": "security",
"source_ref": "<string>",
"trigger_type": "manual"
}
'import requests
url = "https://api.veridical.dev/api/v1/scans"
payload = {
"repository_id": "<string>",
"workspace_id": "<string>",
"client_request_id": "<string>",
"config": {},
"scan_type": "security",
"source_ref": "<string>",
"trigger_type": "manual"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
repository_id: '<string>',
workspace_id: '<string>',
client_request_id: '<string>',
config: {},
scan_type: 'security',
source_ref: '<string>',
trigger_type: 'manual'
})
};
fetch('https://api.veridical.dev/api/v1/scans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Required string length:
8 - 200Body
application/json
Required string length:
8 - 200Pattern:
^(security|onboarding|full)$Maximum string length:
256Pattern:
^(manual|onboarding|scheduled|deployment|api)$Response
Successful Response
The response is of type Response Create Scan Api V1 Scans Post · object.
Last modified on July 28, 2026
⌘I

